#pragma once
#include "ZImage.h"
#include <iostream>
#include <cxcore.h>
#include <cv.h>
#include <highgui.h>
namespace DFF_VideoMat
{

class ZImageFunc
{
public:
	static ZFloatImage LoadFloatImage(int width,int height,const std::string& fileName);
	static ZFloatImage LoadFloatImageRange(int width,int height,const std::string fileName,float rangeMin,float rangeMax);
	static bool SaveFloatImage(ZFloatImage& floatImg,const std::string& fileName);

	static ZByteImage LoadByteImage(int width,int height,const std::string& fileName);
	static ZByteImage LoadByteImageRange(int width,int height,const std::string fileName,int rangeMin,int rangeMax);
	static bool SaveByteImage(ZByteImage& byteImg,const std::string& fileName);
};

class ColorImageFunc
{
public:
	static ZByteImage LoadColorImg(const std::string& imgFileName);
	static ZByteImage IplImg2ZImg(IplImage* pImg);
	static IplImage* ZImg2IplImg(ZByteImage& img);
};
}
